Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service
Class SyncTaskServiceWrapper

    java.lang.Object
      org.jbpm.task.service.SyncTaskServiceWrapper

All Implemented Interfaces:
  TaskService

    public class SyncTaskServiceWrapper

extends Object
implements TaskService

Constructor Summary
`SyncTaskServiceWrapper(AsyncTaskService taskService)`

Method Summary
`void` | `activate(long taskId, String userId)`
`void` | `addAttachment(long taskId, Attachment attachment, Content content)`
`void` | `addComment(long taskId, Comment comment)`
`void` | `addTask(Task task, ContentData content)`
`void` | `claim(long taskId, String userId)`
`void` | `claim(long taskId, String userId, List<String> groupIds)` Deprecated.
`void` | `claimNextAvailable(String userId, List<String> groupIds, String language)` Deprecated.
`void` | `claimNextAvailable(String userId, String language)`
`void` | `complete(long taskId, String userId, ContentData outputData)`
`void` | `completeWithResults(long taskId, String userId, Object results)`
`boolean` | `connect()`
`boolean` | `connect(String address, int port)`
`void` | `delegate(long taskId, String userId, String targetUserId)`
`void` | `deleteAttachment(long taskId, long attachmentId, long contentId)`
`void` | `deleteComment(long taskId, long commentId)`
`void` | `deleteFault(long taskId, String userId)`
`void` | `deleteOutput(long taskId, String userId)`
`void` | `disconnect()`
`void` | `exit(long taskId, String userId)`
`void` | `fail(long taskId, String userId, FaultData faultData)`
`void` | `forward(long taskId, String userId, String targetEntityId)`
`Content` | `getContent(long contentId)`
`Environment` | `getEnvironment()`
`List<TaskSummary>` | `getSubTasksAssignedAsPotentialOwner(long parentId, String userId, String language)`
`List<TaskSummary>` | `getSubTasksByParent(long parentId)`
`Task` | `getTask(long taskId)`
`Task` | `getTaskByWorkItemId(long workItemId)`
`List<TaskSummary>` | `getTasksAssignedAsBusinessAdministrator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsExcludedOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, List<String> groupIds, String language, int firstResult, int maxResult)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwner(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatus(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId, List<String> groupIds, List<Status> status, String language)` Deprecated.
`List<TaskSummary>` | `getTasksAssignedAsRecipient(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskInitiator(String userId, String language)`
`List<TaskSummary>` | `getTasksAssignedAsTaskStakeholder(String userId, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessId(long processInstanceId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksByStatusByProcessIdByTaskName(long processInstanceId, List<Status> status, String taskName, String language)`
`List<TaskSummary>` | `getTasksOwned(String userId, List<Status> status, String language)`
`List<TaskSummary>` | `getTasksOwned(String userId, String language)`
`void` | `nominate(long taskId, String userId, List<OrganizationalEntity> potentialOwners)`
`List<?>` | `query(String qlString, Integer size, Integer offset)` Deprecated.
`void` | `register(long taskId, String userId)`
`void` | `registerForEvent(EventKey key, boolean remove, EventResponseHandler responseHandler)` This method registers for an event key a handler to notify the task life cycle events
`void` | `release(long taskId, String userId)`
`void` | `remove(long taskId, String userId)`
`void` | `resume(long taskId, String userId)`
`void` | `setDocumentContent(long taskId, Content content)`
`void` | `setEnvironment(Environment environment)`
`void` | `setFault(long taskId, String userId, FaultData fault)`
`void` | `setOutput(long taskId, String userId, ContentData outputContentData)`
`void` | `setPriority(long taskId, String userId, int priority)`
`void` | `skip(long taskId, String userId)`
`void` | `start(long taskId, String userId)`
`void` | `stop(long taskId, String userId)`
`void` | `suspend(long taskId, String userId)`
`void` | `unregisterForEvent(EventKey key)` This method removes all the handlers associated with an EventKey

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyncTaskServiceWrapper

    public SyncTaskServiceWrapper(AsyncTaskService taskService)

Method Detail

### activate

    public void activate(long taskId,
                         String userId)

  Specified by:
    `activate` in interface `TaskService`

### addAttachment

    public void addAttachment(long taskId,
                              Attachment attachment,
                              Content content)

  Specified by:
    `addAttachment` in interface `TaskService`

### addComment

    public void addComment(long taskId,
                           Comment comment)

  Specified by:
    `addComment` in interface `TaskService`

### addTask

    public void addTask(Task task,
                        ContentData content)

  Specified by:
    `addTask` in interface `TaskService`

### claim

    public void claim(long taskId,
                      String userId)

  Specified by:
    `claim` in interface `TaskService`

### claim

    @Deprecated
    public void claim(long taskId,
                                 String userId,
                                 List<String> groupIds)

  Deprecated.

  Specified by:
    `claim` in interface `TaskService`

### complete

    public void complete(long taskId,
                         String userId,
                         ContentData outputData)

  Specified by:
    `complete` in interface `TaskService`

### completeWithResults

    public void completeWithResults(long taskId,
                                    String userId,
                                    Object results)

  Specified by:
    `completeWithResults` in interface `TaskService`

### connect

    public boolean connect()

  Specified by:
    `connect` in interface `TaskService`

### connect

    public boolean connect(String address,
                           int port)

  Specified by:
    `connect` in interface `TaskService`

### delegate

    public void delegate(long taskId,
                         String userId,
                         String targetUserId)

  Specified by:
    `delegate` in interface `TaskService`

### deleteAttachment

    public void deleteAttachment(long taskId,
                                 long attachmentId,
                                 long contentId)

  Specified by:
    `deleteAttachment` in interface `TaskService`

### deleteComment

    public void deleteComment(long taskId,
                              long commentId)

  Specified by:
    `deleteComment` in interface `TaskService`

### deleteFault

    public void deleteFault(long taskId,
                            String userId)

  Specified by:
    `deleteFault` in interface `TaskService`

### deleteOutput

    public void deleteOutput(long taskId,
                             String userId)

  Specified by:
    `deleteOutput` in interface `TaskService`

### disconnect

    public void disconnect()
                    throws Exception

  Specified by:
    `disconnect` in interface `TaskService`
  Throws:
    `Exception`

### exit

    public void exit(long taskId,
                     String userId)

  Specified by:
    `exit` in interface `TaskService`

### fail

    public void fail(long taskId,
                     String userId,
                     FaultData faultData)

  Specified by:
    `fail` in interface `TaskService`

### forward

    public void forward(long taskId,
                        String userId,
                        String targetEntityId)

  Specified by:
    `forward` in interface `TaskService`

### getContent

    public Content getContent(long contentId)

  Specified by:
    `getContent` in interface `TaskService`

### getSubTasksAssignedAsPotentialOwner

    public List<TaskSummary> getSubTasksAssignedAsPotentialOwner(long parentId,
                                                                 String userId,
                                                                 String language)

  Specified by:
    `getSubTasksAssignedAsPotentialOwner` in interface `TaskService`

### getSubTasksByParent

    public List<TaskSummary> getSubTasksByParent(long parentId)

  Specified by:
    `getSubTasksByParent` in interface `TaskService`

### getTask

    public Task getTask(long taskId)

  Specified by:
    `getTask` in interface `TaskService`

### getTaskByWorkItemId

    public Task getTaskByWorkItemId(long workItemId)

  Specified by:
    `getTaskByWorkItemId` in interface `TaskService`

### getTasksAssignedAsBusinessAdministrator

    public List<TaskSummary> getTasksAssignedAsBusinessAdministrator(String userId,
                                                                     String language)

  Specified by:
    `getTasksAssignedAsBusinessAdministrator` in interface `TaskService`

### getTasksAssignedAsExcludedOwner

    public List<TaskSummary> getTasksAssignedAsExcludedOwner(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsExcludedOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                              String language)

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    @Deprecated
    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                         List<String> groupIds,
                                                                         String language)

  Deprecated.

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsPotentialOwner

    @Deprecated
    public List<TaskSummary> getTasksAssignedAsPotentialOwner(String userId,
                                                                         List<String> groupIds,
                                                                         String language,
                                                                         int firstResult,
                                                                         int maxResult)

  Deprecated.

  Specified by:
    `getTasksAssignedAsPotentialOwner` in interface `TaskService`

### getTasksAssignedAsRecipient

    public List<TaskSummary> getTasksAssignedAsRecipient(String userId,
                                                         String language)

  Specified by:
    `getTasksAssignedAsRecipient` in interface `TaskService`

### getTasksAssignedAsTaskInitiator

    public List<TaskSummary> getTasksAssignedAsTaskInitiator(String userId,
                                                             String language)

  Specified by:
    `getTasksAssignedAsTaskInitiator` in interface `TaskService`

### getTasksAssignedAsTaskStakeholder

    public List<TaskSummary> getTasksAssignedAsTaskStakeholder(String userId,
                                                               String language)

  Specified by:
    `getTasksAssignedAsTaskStakeholder` in interface `TaskService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           String language)

  Specified by:
    `getTasksOwned` in interface `TaskService`

### getTasksOwned

    public List<TaskSummary> getTasksOwned(String userId,
                                           List<Status> status,
                                           String language)

  Specified by:
    `getTasksOwned` in interface `TaskService`

### nominate

    public void nominate(long taskId,
                         String userId,
                         List<OrganizationalEntity> potentialOwners)

  Specified by:
    `nominate` in interface `TaskService`

### query

    @Deprecated
    public List<?> query(String qlString,
                                    Integer size,
                                    Integer offset)

  Deprecated.

  This method allows the user to exercise the query of his/her choice. This method will be deleted in future versions. Only select queries are currently supported, for obvious reasons.

  Specified by:
    `query` in interface `TaskService`
  Parameters:
    `qlString` - The query string.
    `size` - Maximum number of results to return.
    `offset` - The offset from the beginning of the result list determining the first result.
  Returns:
    The result of the query.

### register

    public void register(long taskId,
                         String userId)

  Specified by:
    `register` in interface `TaskService`

### registerForEvent

    public void registerForEvent(EventKey key,
                                 boolean remove,
                                 EventResponseHandler responseHandler)

  Description copied from interface: `TaskService`
  This method registers for an event key a handler to notify the task life cycle events

  Specified by:
    `registerForEvent` in interface `TaskService`
    `remove` - The remove boolean is used to remove the handler after firing a notification

### unregisterForEvent

    public void unregisterForEvent(EventKey key)

  Description copied from interface: `TaskService`
  This method removes all the handlers associated with an EventKey

  Specified by:
    `unregisterForEvent` in interface `TaskService`

### release

    public void release(long taskId,
                        String userId)

  Specified by:
    `release` in interface `TaskService`

### remove

    public void remove(long taskId,
                       String userId)

  Specified by:
    `remove` in interface `TaskService`

### resume

    public void resume(long taskId,
                       String userId)

  Specified by:
    `resume` in interface `TaskService`

### setDocumentContent

    public void setDocumentContent(long taskId,
                                   Content content)

  Specified by:
    `setDocumentContent` in interface `TaskService`

### setFault

    public void setFault(long taskId,
                         String userId,
                         FaultData fault)

  Specified by:
    `setFault` in interface `TaskService`

### setOutput

    public void setOutput(long taskId,
                          String userId,
                          ContentData outputContentData)

  Specified by:
    `setOutput` in interface `TaskService`

### setPriority

    public void setPriority(long taskId,
                            String userId,
                            int priority)

  Specified by:
    `setPriority` in interface `TaskService`

### skip

    public void skip(long taskId,
                     String userId)

  Specified by:
    `skip` in interface `TaskService`

### start

    public void start(long taskId,
                      String userId)

  Specified by:
    `start` in interface `TaskService`

### stop

    public void stop(long taskId,
                     String userId)

  Specified by:
    `stop` in interface `TaskService`

### suspend

    public void suspend(long taskId,
                        String userId)

  Specified by:
    `suspend` in interface `TaskService`

### claimNextAvailable

    public void claimNextAvailable(String userId,
                                   String language)

  Specified by:
    `claimNextAvailable` in interface `TaskService`

### claimNextAvailable

    @Deprecated
    public void claimNextAvailable(String userId,
                                              List<String> groupIds,
                                              String language)

  Deprecated.

  Specified by:
    `claimNextAvailable` in interface `TaskService`

### getTasksAssignedAsPotentialOwnerByStatus

    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatus(String userId,
                                                                      List<Status> status,
                                                                      String language)

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatus` in interface `TaskService`

### getTasksAssignedAsPotentialOwnerByStatusByGroup

    @Deprecated
    public List<TaskSummary> getTasksAssignedAsPotentialOwnerByStatusByGroup(String userId,
                                                                                        List<String> groupIds,
                                                                                        List<Status> status,
                                                                                        String language)

  Deprecated.

  Specified by:
    `getTasksAssignedAsPotentialOwnerByStatusByGroup` in interface `TaskService`

### getEnvironment

    public Environment getEnvironment()

### setEnvironment

    public void setEnvironment(Environment environment)

### getTasksByStatusByProcessId

    public List<TaskSummary> getTasksByStatusByProcessId(long processInstanceId,
                                                         List<Status> status,
                                                         String language)

  Specified by:
    `getTasksByStatusByProcessId` in interface `TaskService`

### getTasksByStatusByProcessIdByTaskName

    public List<TaskSummary> getTasksByStatusByProcessIdByTaskName(long processInstanceId,
                                                                   List<Status> status,
                                                                   String taskName,
                                                                   String language)

  Specified by:
    `getTasksByStatusByProcessIdByTaskName` in interface `TaskService`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.